Subject: bug#1800: 23.0.60; Changed meaning of * in buffer name completion

From: Juri Linkov <[email-masked]>
Date: Tue, 06 Jan 2009 21:00:34 +0200

> The change to treat * as a wildcard is often a pain in the neck.
> Such changes should not be made without polling the users first.
>
> Please undo this change, poll the users, and redo the change
> if they generally want it.

This is a nice feature, but I have the same problems with it.
Trying to switch to a killed buffer that had `*' at the beginning
of its name (e.g. *grep*) typing `* g TAB' displays a large list
of irrelevant buffer names.

Regular expressions allow a backslash before `*' for a literal character.
So `\ * g TAB' could try completion literally without interpreting
`*' as a wildcard.  But I think this would be inconvenient.

A better variant is to provide two-step completion.  So when there is
no buffer matching `*g' literally then display a message like

  [No match, type TAB again for * as a wildcard]

-- 
Juri Linkov
http://www.jurta.org/emacs/